EXE = fft_1d_dp_r2c_c2r

include ../make.inc

$(EXE): main.o
	$(CC) $(CFLAGS) main.o $(FFTWLIB) $(LD_FLAGS) -o $@

alltests: ARMtest DSPtest OPTtest

ARMtest: $(EXE)
	@echo "Forcing execution on ARM."; \
	export TI_FFTW_OFFLOAD=0; \
   ./$(EXE);

DSPtest: $(EXE)
	@echo "Forcing execution on DSP."; \
	export TI_FFTW_OFFLOAD=1; \
	./$(EXE);

OPTtest: $(EXE)
	@echo "Optimal execution on ARM or DSP."; \
	./$(EXE);


